Skip to main content
PATCH
Update Assistant

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Assistant ID

Body

application/json

Fields to update. Only name, status, and description will be updated locally.

name
string
Example:

"Updated Assistant"

status
boolean
Example:

true

description
string
Example:

"This assistant handles hospitality queries."

voice
object

Voice configuration. Supports ElevenLabs or Sarvam. For Sarvam, voiceId, model, and language are required.

transcriber
object

Speech-to-text configuration.

model
object

LLM configuration. Supported providers and models: openai (gpt-4.1-mini, gpt-4.1, gpt-4.1-nano, gpt-4o-mini, gpt-4o, gpt-3.5-turbo), azure (gpt-4.1-mini-cluster, gpt-4.1-cluster, gpt-4.1-nano-cluster, gpt-4o-mini-cluster, gpt-4o-cluster, gpt-4-cluster, gpt-3.5-cluster), openrouter (gpt-oss-20b, gpt-oss-120b, gpt-4, gpt-4o-mini, gpt-4o, gpt-4.1, gpt-4.1-nano, gpt-4.1-mini, claude-sonnet-4), deepseek (deepseek-chat), anthropic (sonnet-4).

firstMessage
string
Example:

"Hi! How can I help you today?"

firstMessageMode
enum<string>
Available options:
assistant-speaks-first,
user-speaks-first
Example:

"assistant-speaks-first"

backgroundSound
string
Example:

"office"

silenceTimeoutSeconds
integer
Example:

10

backgroundDenoisingEnabled
boolean
Example:

true

firstMessageInterruptionsEnabled
boolean
Example:

false

maxDurationSeconds
integer
Example:

3600

analysisPlan
object

Analysis plan configuration for call insights and follow-up actions.

knowledgeBase
object

Knowledge base at root level. Files are validated against organization ownership.

hangupUsingPrompt
object

Configuration for ending the call using a custom prompt.

Response

Assistant updated successfully